Skip to main content
List workspace audit log events
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/audit-log \
  --cookie acornops_cp_session=
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category": "<string>",
      "eventType": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "actor": {},
      "target": {},
      "metadata": {}
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
category
enum<string>
Available options:
membership,
workspace,
target,
session,
run,
approval,
mcp,
tool
eventType
string
actorUserId
string
targetType
string
from
string<date-time>
to
string<date-time>

Response

Workspace audit event page payload: { items, nextCursor? }. Events include operation=read|write.

items
object[]
required
nextCursor
string